#include "InputBitStream.h"

InputBitStream::InputBitStream(InputStream<Byte>* stream)
    : BitStream(),
      mStream(stream)
{

}

bool InputBitStream::isFinished() const
{
    return mStream->good();
}

void InputBitStream::peekNextNBytes(size_t, VecBytes&) const
{
}

bool InputBitStream::readNextByte(Byte& buffer)
{
    if (mStream->good())
    {
        buffer = static_cast<Byte>(mStream->get());
        return true;
    }
    else
    {
        return false;
    }
}

void InputBitStream::writeByte(Byte, bool)
{

}
